# workaround for GCC 10. upstream is inactive,
# delaying fixing the code itself.
%define _legacy_common_support 1

%define chinese_rules 0
%{?_with_chinese: %global chinese_rules 1}

Summary:	The GNU program to play the game of Go
Name:		gnugo
Version:	3.8
Release:	%mkrel 14
License:	GPLv3+
Group:		Games/Boards
Url:		http://www.gnu.org/software/gnugo/
Source0:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0:		gnugo-3.8-format-security.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	readline-devel

%description
Go is a game of strategy between two players usually played on a
19x19 grid called goban. GNU Go plays a game of Go against the
user. It has many other features: it can play against itself or
another program, analyse and score a recorded game. GNU Go is
compliant with Go Modem Protocol, and load / save games in the
Smart Go format.
GNU Go uses a simple alpha-numeric board display by default. If you
want to use a graphical interface with GNU Go, you'll also need
to install other GUI clients, such as CGoban or Jago.

Build Options:
--with chinese      Use Chinese rules for endgame counting

%prep
%setup -q
%patch0 -p 1 -b .format

%build
autoconf
%configure \
	--bindir=%{_gamesbindir}	\
	--enable-color			\
	--with-readline			\
%if %chinese_rules
	--enable-chinese-rules
%endif

%make_build
make check

%install
%make_install

# install emacs file
install -D -m 644 interface/gnugo.el %{buildroot}%{_datadir}/emacs/site-lisp/gnugo.el
mkdir -p %{buildroot}%{_sysconfdir}/emacs/site-start.d/
echo "(autoload 'gnugo \"gnugo\" \"GNU Go\" t)" > %{buildroot}%{_sysconfdir}/emacs/site-start.d/gnugo.el

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_infodir}/*
%{_gamesbindir}/*
%{_mandir}/man6/*
%{_datadir}/emacs/site-lisp/*.el


%changelog
* Sun Jun 28 2020 joequant <joequant> 3.8-14.mga8
+ Revision: 1600012
- fix gcc10 build errors

* Tue Feb 18 2020 umeabot <umeabot> 3.8-13.mga8
+ Revision: 1542164
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 3.8-12.mga8
+ Revision: 1475956
- rebuild for readline

* Mon Sep 03 2018 tv <tv> 3.8-11.mga7
+ Revision: 1256625
- rely on filetriggers for info system (mga#23482)

* Tue Jan 02 2018 wally <wally> 3.8-10.mga7
+ Revision: 1189435
- rebuild for new readline

* Mon Jul 17 2017 shlomif <shlomif> 3.8-9.mga7
+ Revision: 1124328
- .spec cleanups: trail space, macros.

* Mon Feb 08 2016 umeabot <umeabot> 3.8-8.mga6
+ Revision: 947584
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.8-7.mga5
+ Revision: 746797
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.8-6.mga5
+ Revision: 679822
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.8-5.mga4
+ Revision: 505139
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.8-4.mga3
+ Revision: 352351
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 blino <blino> 3.8-3.mga3
+ Revision: 259486
- rebuild to get info pages as xz instead of lzma

* Sat Jan 22 2011 pterjan <pterjan> 3.8-2.mga1
+ Revision: 33246
- imported package gnugo

